SDL_SetRenderClipRect(3)

NAME
SDL_SetRenderClipRect - Set the clip rectangle for rendering on the specified target.

SYNOPSIS
#include <SDL3/SDL_render.h>

bool SDL_SetRenderClipRect(SDL_Renderer *renderer, const SDL_Rect *rect);

DESCRIPTION
Each render target has its own clip rectangle. This function sets the cliprect for the current render target.

FUNCTION PARAMETERS

renderer
    the rendering context.

rect
    an SDL_Rect structure representing the clip area, relative to the viewport, or NULL to disable clipping.

RETURN VALUE
for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetRenderClipRect(3), SDL_RenderClipEnabled(3)